MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029077Open CASCADE[OCCT] OCCT:Testspublic2017-09-04 13:342017-09-08 15:09
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0029077: Tests - improve command testfile
DescriptionCommand testfile need to be improved to be more usable by developers for checking data files used by the new test cases before their integration to the test data base:

1. When checking new files, the command should not report problems found in the repo -- this should be separate check

2. It should be possible to check a file located in a directory listed in CSF_TestDataPath as new one (without it being considered as already in the data base)

3. For new BREP files, report warning if the file contains triangulation, suggesting that it can be removed to minimize the size

4. Be able to identify the same (by content) file for the new files in DOS encoding

5. Be able to identify duplicates among the input files

6. Make output more clear
Steps To Reproducetest demo testsystem testfile
TagsNo tags attached.
Test case numberdemo testsystem testfile
Attached Files

- Relationships

-  Notes
(0070162)
git (administrator)
2017-09-04 14:25

Branch CR29077 has been created by abv.

SHA-1: 551721f30f40802570d016bfcec73ce430fc9a34


Detailed log of new commits:

Author: abv
Date: Mon Sep 4 13:40:25 2017 +0300

    0029077: Tests - improve command testfile
    
    Command testfile is improved to be more usable by developers for checking data files used by the new test cases before their integration to the test data base:
    
    1. Do not check and do not report problems found in the repo when checking new files -- this check is done only when argument is "-check"
    
    2. Can check a file located in a directory listed in CSF_TestDataPath as new one without it being considered as already in the data base
    
    3. For new BREP files, reports warning if the file contains triangulation, suggesting that it can be removed to minimize the size
    
    4. Can identify the same (by content) file in the data base for the new files in DOS encoding (less than 1 MB)
    
    5. Can detect duplicates among the input files
    
    6. Outputs result in more clear form
    
    7. When loading STL files, uses option "triangulation" to be efficient
    
    Automated Testing System guide is updated to describe command testfile.
(0070231)
git (administrator)
2017-09-05 11:37

Branch CR29077 has been updated by abv.

SHA-1: 4123854133c80ffeb02f539479474b7673ea8e6b


Detailed log of new commits:

Author: abv
Date: Tue Sep 5 11:37:02 2017 +0300

    Added test demo testsystem testfile

(0070261)
git (administrator)
2017-09-06 11:04

Branch CR29077 has been updated forcibly by abv.

SHA-1: 9de1d83dd1c6a26cdbec8043601f2f554f48cf70
(0070297)
abv (manager)
2017-09-07 09:09

Fix pushed to branch CR29077, please review
(0070315)
git (administrator)
2017-09-07 13:30

Branch CR29077_1 has been created by abv.

SHA-1: 95245dfedcc5fc47337e0770c3cb3345bc72c8a0


Detailed log of new commits:

Author: abv
Date: Mon Sep 4 13:40:25 2017 +0300

    0029077: Tests - improve command testfile
    
    Command testfile is improved to be more usable by developers for checking data files used by the new test cases before their integration to the test data base:
    
    1. Do not check and do not report problems found in the repo when checking new files -- this check is done only when argument is "-check"
    
    2. Can check a file located in a directory listed in CSF_TestDataPath as new one without it being considered as already in the data base
    
    3. For new BREP files, reports warning if the file contains triangulation, suggesting that it can be removed to minimize the size
    
    4. Can identify the same (by content) file in the data base for the new files in DOS encoding (less than 1 MB)
    
    5. Can detect duplicates among the input files
    
    6. Outputs result in more clear form
    
    7. When loading STL files, uses option "triangulation" to be efficient
    
    Automated Testing System guide is updated to describe command testfile.
    
    Added test demo testsystem testfile
(0070316)
apn (administrator)
2017-09-07 13:30
edited on: 2017-09-07 14:12

Reviewed, please integrate.

Testing case:
demo testsystem testfile - OK
http://occt-tests/testfile_test/demo/testsystem/testfile.html [^]

(0070317)
git (administrator)
2017-09-07 13:32

Branch CR29077_1 has been updated forcibly by abv.

SHA-1: a42d1c353529f9bdc8a1ff129f93734161304dcb
(0070349)
git (administrator)
2017-09-08 15:09

Branch CR29077 has been deleted by kgv.

SHA-1: 9de1d83dd1c6a26cdbec8043601f2f554f48cf70
(0070350)
git (administrator)
2017-09-08 15:09

Branch CR29077_1 has been deleted by kgv.

SHA-1: a42d1c353529f9bdc8a1ff129f93734161304dcb

- Related Changesets
occt: master 8ee9c2f4
Timestamp: 2017-09-04 10:40:25
Author: abv
Committer: bugmaster
Details ] Diff ]
0029077: Tests - improve command testfile

Command testfile is improved to be more usable by developers for checking data files used by the new test cases before their integration to the test data base:

1. Do not check and do not report problems found in the repo when checking new files -- this check is done only when argument is "-check"

2. Can check a file located in a directory listed in CSF_TestDataPath as new one without it being considered as already in the data base

3. For new BREP files, reports warning if the file contains triangulation, suggesting that it can be removed to minimize the size

4. Can identify the same (by content) file in the data base for the new files in DOS encoding (less than 1 MB)

5. Can detect duplicates among the input files

6. Outputs result in more clear form

7. When loading STL files, uses option "triangulation" to be efficient

Automated Testing System guide is updated to describe command testfile.

Added test demo testsystem testfile
mod - data/occ/hammer.brep Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
add - tests/demo/testsystem/testfile Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-04 13:34 abv New Issue
2017-09-04 13:34 abv Assigned To => apn
2017-09-04 14:25 git Note Added: 0070162
2017-09-05 11:37 git Note Added: 0070231
2017-09-06 11:04 git Note Added: 0070261
2017-09-07 09:09 abv Note Added: 0070297
2017-09-07 09:09 abv Status new => resolved
2017-09-07 09:09 abv Steps to Reproduce Updated View Revisions
2017-09-07 13:30 apn Test case number => Reviewed, please integrate.
2017-09-07 13:30 apn Assigned To apn => bugmaster
2017-09-07 13:30 apn Status resolved => reviewed
2017-09-07 13:30 git Note Added: 0070315
2017-09-07 13:30 apn Test case number Reviewed, please integrate. => demo testsystem testfile
2017-09-07 13:30 apn Note Added: 0070316
2017-09-07 13:32 git Note Added: 0070317
2017-09-07 14:10 bugmaster Status reviewed => tested
2017-09-07 14:12 apn Note Edited: 0070316 View Revisions
2017-09-08 14:55 bugmaster Changeset attached => occt master 8ee9c2f4
2017-09-08 14:55 bugmaster Status tested => verified
2017-09-08 14:55 bugmaster Resolution open => fixed
2017-09-08 15:09 git Note Added: 0070349
2017-09-08 15:09 git Note Added: 0070350


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker